Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1896191

Summary: F34FailsToInstall: python3-eventlet
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: python-eventletAssignee: Joel Capitao <jcapitao>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: apevec, code, igor.raits, jcapitao, jpopelka, kevin, shamardin, xavier
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-eventlet-0.30.0-1.fc34 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-12-27 11:46:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1865312, 1868279, 1707414    

Description Miro Hrončok 2020-11-09 23:25:00 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (python-eventlet) Fails To Install in Fedora 34:

can't install python3-eventlet:
  - nothing provides (python3.9dist(dnspython) < 2 with python3.9dist(dnspython) >= 1.15) needed by python3-eventlet-0.29.1-1.20201102git087ba743.fc34.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/rawhide-gating/multi-builds/

Thanks!

Comment 1 Miro Hrončok 2020-11-17 17:00:50 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 2 Kevin Fenzi 2020-11-19 22:16:58 UTC
Sadly, python-dns > 2 is incompatible. Upstream has a bug report and is working on it, but no idea when a fix will show up.

Comment 3 Miro Hrončok 2020-11-26 14:07:26 UTC
Stopgap solution ideas:


A) package python-dns1 "compat" package
B) bundle python-dns1 in eventlet

Comment 4 Joel Capitao 2020-11-30 08:05:18 UTC
@kevin I'll propose a PR bundling python-dns1 in eventlet as Miro suggested

Comment 5 Miro Hrončok 2020-11-30 10:13:40 UTC
Note that python-dns 1.16.0 requires:

  python3-ecdsa
  python3-pycryptodomex

Both very much discouraged by security folks. Please bundle with this patch: https://src.fedoraproject.org/rpms/python-dns/c/84c2874c7a39e72e7c074afb8f7682fa46ab2859?branch=master

Comment 6 Joel Capitao 2020-11-30 14:27:57 UTC
Thank you Miro to point out this patch.
I proposed PR: https://src.fedoraproject.org/rpms/python-eventlet/pull-request/6#

Comment 7 Kevin Fenzi 2020-12-04 19:26:25 UTC
I reviewed the PR... not sure why needinfo is set here beyond that. :)